// version 2.5 (3/1/2004) IE NS 6.X Browsers 

function PopUpMenu2_Set(PopUpMenu2_links_ids_line) {
    
    if (!PopUpMenu2_menu_possible) {  return; }
  
    PopUpMenu2_first_time=true;
    BuildLinks(PopUpMenu2_links_ids_line);

PopUpMenu2_boxposLR=PopUpMenu2_default_config_tmp[PopUpMenu2_AlignLR_index][1]; 
PopUpMenu2_boxposTB=PopUpMenu2_default_config_tmp[PopUpMenu2_AlignTB_index][1];

    clearTimeout(PopUpMenu2_timerID);
    PopUpMenu2_thetext=buildText();

	PopUpMenu2_thename = "PopUpMenu2viewer";
PopUpMenu2_theobj=document.getElementById?document.getElementById(PopUpMenu2_thename):document.all.PopUpMenu2_thename;

	if (PopUpMenu2_iens6&&document.all) {
            PopUpMenu2_theobj.innerHTML = "";
            PopUpMenu2_theobj.insertAdjacentHTML("BeforeEnd","<table cellspacing=0 id='Menu2_main_table' height="+PopUpMenu2_winHeight+" border=0><tr><td width='100%' valign=top><font  style='font-weight:normal'>"+PopUpMenu2_thetext+"</font></td></tr></table>");
		}
        if (PopUpMenu2_iens6&&!document.all) {
            PopUpMenu2_theobj.innerHTML = "";
            PopUpMenu2_theobj.innerHTML="<table id='Menu2_main_table' cellspacing=0 height="+PopUpMenu2_winHeight+" border=0><tr><td width='100%' valign=top><font style='font-weight:normal'>"+PopUpMenu2_thetext+"</font></td></tr></table>"
        }

	var PopUpMenu2_main_table=document.getElementById("Menu2_main_table")
	PopUpMenu2_inwidth = PopUpMenu2_main_table.offsetWidth
	PopUpMenu2_inheight = PopUpMenu2_main_table.offsetHeight


		PopUpMenu2_browserWidth=document.body.clientWidth;
        PopUpMenu2_browserHeight=document.body.clientHeight;
        PopUpMenu2_ScrOffX=document.body.scrollLeft; 
		PopUpMenu2_ScrOffY=document.body.scrollTop; 
		PopUpMenu2_scrollbaroff=1;

    if (PopUpMenu2_ns6x) {
        PopUpMenu2_browserWidth=window.innerWidth;
        PopUpMenu2_browserHeight=window.innerHeight;
        PopUpMenu2_ScrOffX=window.pageXOffset;
        PopUpMenu2_ScrOffY=window.pageYOffset;
		PopUpMenu2_scrollbaroff=16;
    }


	PopUpMenu2_boxPrePositionLR=PopUpMenu2_boxposLR;
    PopUpMenu2_boxPrePositionTB=PopUpMenu2_boxposTB;
	if (!PopUpMenu2_center_offset) {
	
    if ( window.pageY-PopUpMenu2_inheight < 0 ) {
	 PopUpMenu2_boxPrePositionTB = "bottom"
	} else if ( PopUpMenu2_browserHeight+PopUpMenu2_ScrOffY < window.pageY+PopUpMenu2_inheight ) { 
		PopUpMenu2_boxPrePositionTB="top" 
	       } 
    
	if ( PopUpMenu2_browserWidth+PopUpMenu2_ScrOffX < window.pageX+PopUpMenu2_inwidth ) { PopUpMenu2_boxPrePositionLR="left" } else if ( window.pageX-PopUpMenu2_inwidth < 0 ) { PopUpMenu2_boxPrePositionLR = "right" } 

	PopUpMenu2_boxPosition=PopUpMenu2_boxPrePositionTB+PopUpMenu2_boxPrePositionLR;

    if (PopUpMenu2_boxPosition == "bottomright") { 
        window.pageX += PopUpMenu2_offsetx;
        window.pageY += PopUpMenu2_offsety;
    } else if (PopUpMenu2_boxPosition == "bottomleft") { 
		window.pageX -= (PopUpMenu2_offsetx+2)+PopUpMenu2_inwidth;
        window.pageY -= PopUpMenu2_offsety;
    } else if (PopUpMenu2_boxPosition == "topright") {
        window.pageX += PopUpMenu2_offsetx;
        window.pageY += PopUpMenu2_offsety-PopUpMenu2_inheight;
    } else if (PopUpMenu2_boxPosition == "topleft") { 
        window.pageX -= (PopUpMenu2_offsetx+2)+PopUpMenu2_inwidth;
        window.pageY += PopUpMenu2_offsety-PopUpMenu2_inheight;
     }

	} else {
	
   if ( PopUpMenu2_browserWidth+PopUpMenu2_ScrOffX-PopUpMenu2_scrollbaroff < window.pageX+(PopUpMenu2_inwidth/2) ) {
	window.pageX = PopUpMenu2_browserWidth+PopUpMenu2_ScrOffX-PopUpMenu2_inwidth-PopUpMenu2_scrollbaroff;
		} else if ( window.pageX-PopUpMenu2_ScrOffX-PopUpMenu2_inwidth/2 < 0 ) { window.pageX = PopUpMenu2_ScrOffX + PopUpMenu2_scrollbaroff; 
		} else { window.pageX -= Math.round(PopUpMenu2_inwidth/2); }

	if ( PopUpMenu2_browserHeight+PopUpMenu2_ScrOffY-PopUpMenu2_scrollbaroff < window.pageY+PopUpMenu2_inheight/2 ) { 
	window.pageY = PopUpMenu2_browserHeight+PopUpMenu2_ScrOffY-PopUpMenu2_inheight-PopUpMenu2_scrollbaroff;
		} else if ( window.pageY-PopUpMenu2_ScrOffY-PopUpMenu2_inheight/2 < 0 ) { window.pageY = PopUpMenu2_ScrOffY + PopUpMenu2_scrollbaroff; 
		} else { window.pageY -= Math.round(PopUpMenu2_inheight/2); }
	}
	PopUpMenu2_viewIt();
}

function PopUpMenu2_viewIt() {

	PopUpMenu2_theobj.style.left=window.pageX;
	PopUpMenu2_theobj.style.top=window.pageY;
	PopUpMenu2_theobj.style.width=PopUpMenu2_inwidth;
	PopUpMenu2_theobj.style.height=PopUpMenu2_inheight;
	PopUpMenu2_theobj.style.visibility="visible";
}


function PopUpMenu2_Stop(PopUpMenu2_Stop_now) {
	
	if (!PopUpMenu2_Stop_now) {
	    if (!PopUpMenu2_first_time) {
    	   return;
	    }
	} else { 
		PopUpMenu2_doNOThide=false;
	}
	
    if (PopUpMenu2_iens6 && !PopUpMenu2_doNOThide) {
		
		PopUpMenu2_theobj.innerHTML = ""
		PopUpMenu2_theobj.style.visibility="hidden"
    if (!PopUpMenu2_safari) {
		PopUpMenu2_theobj.style.width=1;
		PopUpMenu2_theobj.style.height=1;
		}

    }
    PopUpMenu2_doNOThide=false;
	PopUpMenu2_Stop_now=false;
}


 function PopUpMenu2_Table_Cell_MouseOver( tableCellRef, hoverFlag, navStyle , event_color ) 
{
	var Table_Cell_MouseOver_color_tmp = "";
	var Table_Cell_MouseOut_color_tmp = "";

	if ( hoverFlag ) 
	{
	if (event_color) 
		{ 
		Table_Cell_MouseOver_color_tmp = event_color; 
		} else { 
		try {
				if ( eval('Table_Cell_MouseOver_color.'+navStyle) != undefined ) {
					Table_Cell_MouseOver_color_tmp = eval('Table_Cell_MouseOver_color.'+navStyle);
				} else {
				Table_Cell_MouseOver_color_tmp = Table_Cell_MouseOver_color.def;
				}
			} catch(exception) {
		  }
		}
		if (Table_Cell_MouseOver_color_tmp) 
				{ 
				Table_Cell_MouseOut_color_self_style = tableCellRef.style.backgroundColor;
				tableCellRef.style.backgroundColor = Table_Cell_MouseOver_color_tmp; 
				}
//			if ( document.getElementsByTagName ) {
//					tableCellRef.getElementsByTagName( 'a' )[0].style.color = '#F0F8FF';
//				}
	} else {
	if (event_color) 
		{ 
		Table_Cell_MouseOut_color_tmp = event_color; 
		} else { 
	if (Table_Cell_MouseOut_color_self_style) { 
			tableCellRef.style.backgroundColor = Table_Cell_MouseOut_color_self_style; }
		try {
				if ( eval('Table_Cell_MouseOut_color.'+navStyle) != "undefined" ) {
					Table_Cell_MouseOut_color_tmp = eval('Table_Cell_MouseOut_color.'+navStyle);
				} else {
				Table_Cell_MouseOut_color_tmp = Table_Cell_MouseOut_color.def;
				}
			} catch(exception) {
			}
		}
		if (Table_Cell_MouseOut_color_tmp) 
				{ tableCellRef.style.backgroundColor = Table_Cell_MouseOut_color_tmp; }
		}
}

